@charset "utf-8";
/*---------------------------------
　全般
----------------------------------*/
.indent {
  margin-left: 1em;
}
.kajougaki {
  list-style-type: disc;
  margin-left: 25px;
  font-size: 0.9rem;
}
.highlight {
  background-color: yellow;
}
.mapbox {
  text-align: center;
}
.map {
  box-sizing: border-box;
  max-width: 100%;
  max-height: 90vh;
  border: 1px solid #777;
}
.thead {
  background-color: #bde89c;
}
.comment {
  cursor: pointer;
  text-decoration: underline;
}
.thick-frame {
  display: inline-block;
  width: 2em;
  border: 2px solid #333;
  text-align: center;
}
.keep-cb {
  margin-right: 0.5em;
  vertical-align: middle;
  transform: scale(1.5);
  -webkit-transform: scale(1.5);
  -moz-transform: scale(1.5);
  -ms-transform: scale(1.5);
  -o-transform: scale(1.5);
  cursor: pointer;
}
.no-new-line {
  word-break: keep-all;
  white-space: nowrap;
}
.no-word-break {
  word-break: keep-all;
  white-space: nowrap;
}
.td1-no-new-line td:first-child {
  word-break: keep-all;
  white-space: nowrap;
}
.w100 {
  width: 100%;
}
/*---------------------------------
　スキルシミュレータ
----------------------------------*/
#skill-reset-bt {
  margin: 0 30px 20px 30px;
}
#savedata,
#saveurl {
  width: 100%;
}
.skill-record > td:nth-of-type(n + 2):nth-of-type(-n + 4) {
  overflow-wrap: normal;
  text-align: center;
}
.save-bt-area {
  text-align: right;
  margin: 5px 5px 10px 0;
}
#skill-simulator-outer {
  box-sizing: border-box;
  z-index: 10;
  top: 5px;
  right: 0;
}
#skill-simulator {
  box-sizing: border-box;
  padding: 0.5em;
  width: 100%;
  background-color: rgb(57, 85, 115);
  color: #fff;
  font-size: 0.9rem;
}
#skill-description {
  display: none;
}
#level {
  width: 3em;
  margin-right: 2em;
  font-size: 1.1rem;
}
#cost {
  margin-left: 0.5em;
  font-size: 1.1rem;
}
.skill_common {
  width: 100%;
}
.mukou {
  margin-bottom: 10px;
}
.skill {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  position: relative;
  padding: 0 2px;
  border: 3px solid;
  font-size: 0.9rem;
  word-break: keep-all;
  white-space: nowrap;
  cursor: pointer;
  user-select: none;
}
.skill_line {
  padding: 0;
  border: none;
  font-size: 0.3rem;
  text-align: center;
}
.skill_name,
#skill-description {
  font-size: 0.9rem;
}
.skill--red {
  border-color: #ffa1a1;
}
.skill--red.on {
  background-color: #ffa1a1;
}
.skill--gre {
  border-color: #43c4a5;
}
.skill--gre.on {
  background-color: #a0f4e0;
}
.skill--gra {
  border-color: lightgray;
}
.skill--gra.on {
  background-color: lightgray;
}
.skill--ygr {
  border-color: #b1e54b;
}
.skill--ygr.on {
  background-color: #b1e54b;
}
.skill--yel {
  border-color: #c1c100;
}
.skill--yel.on {
  background-color: yellow;
}
.skill--ora {
  border-color: #ffa400;
}
.skill--ora.on {
  background-color: #ffca6a;
}
.skill--war {
  border-color: #17afff;
}
.skill--war.on {
  background-color: #a9e1ff;
}
.skill--ice {
  border-color: #81d4fa;
}
.skill--ice.on {
  background-color: #e1f5fe;
}
.skill--blu {
  border-color: #4f4fff;
}
.skill--blu.on {
  background-color: #9ba7ff;
}
.skill--pur {
  border-color: #8e56ff;
}
.skill--pur.on {
  background-color: #cfb7ff;
}
.skill--dar {
  border-color: #4112a0;
}
.skill--dar.on {
  background-color: #a679ff;
}
.skill--bla {
  border-color: #555;
}
.skill--bla.on {
  color: white;
  background-color: #333;
}
.skill--fir {
  border-color: #eb0000;
}
.skill--fir.on {
  background-color: #ff5959;
}
.skill--ear {
  border-color: saddlebrown;
}
.skill--ear.on {
  background-color: #d6976a;
}
.skill--win {
  border-color: green;
}
.skill--win.on {
  background-color: #74d374;
}
.blank_cell {
  padding: 0;
  border: none;
  text-align: center;
}
#save_mes {
  height: 10em;
  overflow-y: hidden;
}

/*---------------------------------
　シーン
----------------------------------*/
.memory-cb {
  transform: scale(1.5);
  cursor: pointer;
}
.scene-tr--2:nth-of-type(4n),
.scene-tr--2:nth-of-type(4n-1) {
  background-color: #ffe1fd;
}
/*---------------------------------
　考察
----------------------------------*/
.timeline {
  padding: 8px;
  margin-bottom: 20px;
  border: 1px solid #009688;
  font-size: 0.85rem;
  position: relative;
}
.timeline:not(:last-child)::after {
  content: '';
  box-sizing: border-box;
  width: 20px;
  height: 20px;
  position: absolute;
  top: 100%;
  left: 50%;
  translate: -50% 0;
  border-width: 20px;
  border-style: solid;
  border-color: #009688 #fff #fff #fff;
}
/*-------------------------------------------
  画面サイズ大
---------------------------------------------*/
@media screen and (min-width: 769px) {
  /*---------------------------------
　全般
----------------------------------*/
  .indent {
    margin-left: 2em;
  }
  .kajougaki {
    margin-left: 4em;
    margin-right: 3em;
  }
  /*---------------------------------
　スキルシミュレータ
----------------------------------*/
  #skill-simulator-outer {
    display: flex;
    flex-direction: column;
  }
  #skill-simulator {
    font-size: 1.1rem;
    -webkit-box-shadow: 1px 1px 1px 1px #333;
    box-shadow: 1px 1px 1px 1px #333;
  }
  #skill-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: calc(1em * 1.75 * 2 + 8px);
    padding: 0 4px;
    margin-top: 5px;
    background-color: rgb(57, 85, 115);
    color: #fff;
    -webkit-box-shadow: 1px 1px 1px 1px #333;
    box-shadow: 1px 1px 1px 1px #333;
  }
}
